> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gen AI Endpoint Version Real Time Logs

> Retrieve a Gen AI Endpoint Version Real Time Logs



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}/realTimeLogs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/gen-ai/beta/endpoints/{endpointId}/versions/{versionNumber}/realTimeLogs:
    get:
      tags:
        - GenAI
      summary: Get Gen AI Endpoint Version Real Time Logs
      description: Retrieve a Gen AI Endpoint Version Real Time Logs
      operationId: getModelEndpointVersionRealTimeLogs
      parameters:
        - description: The id of the endpoint to retrieve real time logs for.
          in: path
          name: endpointId
          required: true
          schema:
            type: string
        - description: The version number to retrieve real time logs for.
          in: path
          name: versionNumber
          required: true
          schema:
            type: integer
        - description: >
            The type of log to retrieve. The available types of logs are:
            `complete` - This is the default if the value is not provided. All
            logs lines displayed in the Model Endpoint Version's runtime
            environment. `stdout` - Log lines displayed in the stdout of the
            Model Endpoint Version's runtime environment. `stderr` - Log lines
            displayed in the stderr of the Model Endpoint Version's runtime
            environment. `prepareoutput` - Log lines generated by the
            environment preparing the Model Endpoint Version. Defaults to
            `complete`.
          in: query
          name: logType
          required: false
          schema:
            default: complete
            enum:
              - complete
              - prepareoutput
              - stdout
              - stderr
            type: string
        - description: The maximum number of result to retrieve. Defaults to 10000.
          in: query
          name: limit
          required: false
          schema:
            default: 10000
            type: integer
        - description: The offset from the first result. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: >-
            The epoch timestamp after which to return logs in nanoseconds.
            Defaults to 0.
          in: query
          name: latestTime
          required: false
          schema:
            default: '0'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelEndpointLogsResponse'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    ModelEndpointLogsResponse:
      properties:
        isComplete:
          type: boolean
        logContent:
          items:
            properties:
              log:
                type: string
              logType:
                type: string
              size:
                type: number
              timestamp:
                format: epoch
                type: number
            required:
              - timestamp
              - logType
              - log
              - size
            type: object
          type: array
        pagination:
          properties:
            latestTime:
              type: string
            limit:
              type: integer
            offset:
              type: integer
          required:
            - limit
            - offset
            - latestTime
          type: object
      required:
        - logContent
        - isComplete
        - pagination
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````